XvPutStill(3)

NAME
XvPutStill - write a single frame of video to a drawable

SYNOPSIS
#include <X11/extensions/Xvlib.h>

int XvPutStill(Display *dpy, XvPortID port, Drawable d, GC gc,
               int vx, int vy, unsigned int vw, unsigned int vh,
               int dx, int dy, unsigned int dw, unsigned int dh);

ARGUMENTS

dpy Specifies the connection to the X server.

port
    Defines the port from which to get the still.

d   Defines the drawable into which the still is to be written. Pixmaps are currently not supported.

gc  Defines the graphical context. GC components are: subwindow-mode, clip-x-origin, clip-y-origin, and clip-mask.

vx,vy,vw,vh
    Define the location and size of the video region to be written. vx and vy define the upper-left pixel of the region. vw and vh define the width and height, in pixels, of the region.

dx,dy,dw,dh
    Define the location and size of the destination region into which the still image is written. dx and dy define the upper-left corner of the region. dw and dh define the width and height, in pixels, of the region.

DESCRIPTION
XvPutStill(3) writes a single frame of video to a drawable. The position and size of the source (video) rectangle is specified by vx, vy, vw, and vh. The position and size of the destination (drawable) rectangle is specified by dx, dy, dw, and dh.

Video data is clipped to the bounds of the video encoding, scaled to the requested drawable region size (or the closest size supported) and clipped to the bounds of the drawable.

If the port is grabbed by another client, this request is ignored, and an XvVideoNotify event with detail XvBusy is generated for the drawable. If the port is not receiving a valid video signal a VideoNotify event with detail XvHardError is generated for the drawable.

RETURN VALUES

[Success]
    Returned if XvPutStill(3) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvGetStill(3) failed to allocate memory to process the request.

DIAGNOSTICS

[XvBadPort]
    Generated if the requested port does not exist.

[BadDrawable]
    Generated if the requested drawable does not exist.

[BadGC]
    Generated if the requested graphics context does not exist.

[BadAlloc]
    Generated if there were insufficient resources to process the request.

SEE ALSO
XvPutVideo(3), XvGetStill(3), XvVideoNotify(3)